pydo.cdn.delete_endpoint()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.cdn.delete_endpoint(cdn_id="19f06b6a-3ace-4315-b086-499a0e521b76")
Returns NoneRaises HttpResponseError

Description

To delete a specific CDN endpoint, send a DELETE request to /v2/cdn/endpoints/{cdn_id}.

A status of 204 will be given. This indicates that the request was processed successfully, but that no response body is needed.

Parameters

cdn_id string required

A unique identifier for a CDN endpoint.

Min: 1

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

delete_resp = client.cdn.delete_endpoint(cdn_id="bba23af")

More Information

See /v2/cdn/endpoints/{cdn_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.